Module | Sequel::MySQL
In: | lib/sequel/adapters/mysql.rb lib/sequel/adapters/shared/mysql_prepared_statements.rb lib/sequel/adapters/shared/mysql.rb

Module for holding all MySQL-related classes and modules for Sequel.

### Methods

float integer

### Classes and Modules

Module Sequel::MySQL::DatabaseMethods
Module Sequel::MySQL::DatasetMethods
Module Sequel::MySQL::PreparedStatements

### Constants

TYPE_TRANSLATOR | = | tt = Class.new do def boolean(s) s.to_i != 0 end

### Attributes

convert_tinyint_to_bool | [RW] | Sequel converts the column type tinyint(1) to a boolean by default when using the native MySQL or Mysql2 adapter. You can turn off the conversion by setting this to false. This setting is ignored when connecting to MySQL via the do or jdbc adapters, both of which automatically do the conversion.
default_charset | [RW] | Set the default charset used for CREATE TABLE. You can pass the :charset option to create_table to override this setting.
default_collate | [RW] | Set the default collation used for CREATE TABLE. You can pass the :collate option to create_table to override this setting.
default_engine | [RW] | Set the default engine used for CREATE TABLE. You can pass the :engine option to create_table to override this setting.

### Public Instance methods

float(s)

[Source]

        # File lib/sequel/adapters/mysql.rb, line 16
    16:       def float(s) s.to_f end

integer(s)

[Source]

        # File lib/sequel/adapters/mysql.rb, line 15
    15:       def integer(s) s.to_i end

[Validate]